﻿;/////////////////////////////////////////////////////////////////////////////////
;An OOP class for implementing hash tables.

;By Stephen Rodriguez.
;January 2010.

;Header file.
;/////////////////////////////////////////////////////////////////////////////////


;/////////////////////////////////////////////////////////////////////////////////
;-Class interfaces.

  ;The following interface contains the class methods.
    Interface HashTableObject
      AddItem.i(ptrItemData)          ;Returns zero if an error (unlikely) ensued.
      ClearItems()
      Destroy()
      EnumKeys(addrCallback, lParam=0)
      GetItem.i(ptrItemData)          ;Returns zero if the item could not be found.
      GetPointerToItem.i(key.s)       ;Returns zero if the item could not be found.
      IsKeyPresent.i(key.s)           ;Returns #True if present, #False otherwise.
      RemoveItem(key.s)
    EndInterface


; IDE Options = PureBasic 4.40 (Windows - x86)
; CursorPosition = 4